#include "vision.h"
#include<vector>

std::vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(std::vector<int> v)
{
    if (v.size() == 3) {
        if (v[0] > v[2]) return 0;
        else return 2;
    }
    if (v.size() == 5) {
        if (v[0] > v[4]) return 0;
        else return 4;
    }
    if (v.size() == 7) {
        if (v[0] > v[6]) return 0;
        else return 6;
    }
    if (v.size() == 9) {
        if (v[0] > v[8]) return 0;
        else return 8;
    }
    if (v.size() == 11) {
        if (v[0] > v[10]) return 0;
        else return 10;
    }
    if (v.size() == 13) {
        if (v[0] > v[12]) return 0;
        else return 12;
    }
    if (v.size() == 15) {
        if (v[0] > v[14]) return 0;
        else return 14;
    }
    if (v.size() == 17) {
        if (v[0] > v[16]) return 0;
        else return 16;
    }
    if (v.size() == 19) {
        if (v[0] > v[18]) return 0;
        else return 18;
    }
    if (v.size() == 21) {
        if (v[0] > v[20]) return 0;
        else return 20;
    }
    if (v.size() == 23) {
        if (v[0] > v[22]) return 0;
        else return 22;
    }
    if (v.size() == 25) {
        if (v[0] > v[24]) return 0;
        else return 24;
    }
    if (v.size() == 27) {
        if (v[0] > v[26]) return 0;
        else return 26;
    }
    
//    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
